03/21/2012 08:33 PM - Manuel Madrid

Status: Fixed % Done: 100%
Priority: Immediate
Assignee: Francisco José Peñarrubia
Category:
Target version:
Severity: Add-on name: Database conectors (org.gvsig.geodb)
gvSIG version: 1.12.0 Add-on version:
gvSIG build: 1246 Add-on build:
Operative System: Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No
Description

Not able to load a project file created with gvSIG 1.11 containing postgis and mysql tables.

gvSIG was able to load layers and its atribute table from that databases but not alphanumeric tables (got an error message saying:
"Error opening document"). I did the same test with gvSIG 1.11 and it worked fine.

To reproduce the bug do this:
1. Build a gvSIG project containing tables (not layers) from a mysql and a postgis database with gvSIG 1.11.
2. Open it with gvSIG 1.12

See attached the log file.

History
#1 - 03/21/2012 08:37 PM - Manuel Madrid
- File table_persistence_BBDD_1_10.gvp added

I attached the gvp file too just in case it is useful.

#2 - 03/21/2012 08:40 PM - Manuel Madrid

Sorry, I forgot to mention that the two tables that gvSIG couldn't load are carto.japon and comunic_lin_300k

#3 - 03/22/2012 12:23 PM - Francisco José Peñarrubia
- Assignee set to Francisco José Peñarrubia

#4 - 03/22/2012 01:33 PM - Francisco José Peñarrubia
- Status changed from New to Fixed
- % Done changed from 0 to 100

Applied in changeset r38074.
#5 - 02/21/2014 09:36 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Document table)

Files
gvSIG.log 53 KB 03/21/2012 Manuel Madrid
table_persistence_BBDD_1_10.gvp 160 KB 03/21/2012 Manuel Madrid
